Name:		ax25-apps
Version:	0.0.6
Release:	12%{?dist}
Summary:	AX.25 ham radio applications

Group:		Applications/Communications
#ax25ipd is BSD licensed, rest is GPLv2+
License:	GPLv2+ and BSD
URL:		http://ax25.sourceforge.net/
Source0:	http://downloads.sourceforge.net/ax25/%{name}-%{version}.tar.gz
Source1:	LICENSE
#listen and call are too generic names, rename to axlisten and axcall in all instances, thanks debian maintainers
Patch0:		%{name}-%{version}-nongenericnames.patch
# Patch1:	%%{name}-%%{version}-configure.in.patch
Patch2:		%{name}-%{version}-Makefile.am.patch
Patch3:		%{name}-ax25rtd-config_c.patch
#Source released by author as BSD http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=630893
Patch4:		%{name}-%{version}-ripdump.bsd.switch.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libax25-devel
BuildRequires:	ncurses-devel


%description

This package provides specific user applications for hamradio that use AX.25 
Net/ROM or ROSE network protocols:

 * axcall: a general purpose AX.25, NET/ROM and ROSE connection program.
 * axlisten: a network monitor of all AX.25 traffic heard by the system.
 * ax25ipd: an RFC1226 compliant daemon which provides encapsulation of
   AX.25 traffic over IP.
 * ax25mond: retransmits data received from sockets into an AX.25 monitor
   socket.


%prep
%setup -q
%patch0 -p1
# %%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1


%build
#the patch requires rebuilding of makefiles and such
#libtoolize
#aclocal; autoconf; automake --add-missing
autoreconf -if
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#Install BSD License text
install -p -D -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_docdir}/%{name}-%{version}/LICENSE

#don't include these twice
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

# Fix the encoding on the doc files to be UTF-8
recode()
{
	iconv -f "$2" -t utf-8 < "$1" > "${1}_"
	mv -f "${1}_" "$1"
}
recode AUTHORS iso-8859-15


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%doc ax25ipd/COPYING.ax25ipd ax25ipd/HISTORY.ax25ipd ax25ipd/README.ax25ipd
%doc ax25rtd/TODO.ax25rtd ax25rtd/README.ax25rtd
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man?/*

%changelog
* Tue Dec 18 2012 Randall Berry, N3LRX <dp67@fedoraproject.org> - 0.0.6-12
- Add patch to relicense /listen/ripdump.c
- Author re-released source in question under BSD
- http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=630893
- BZ: #888206 https://bugzilla.redhat.com/show_bug.cgi?id=888206
- Add BSD license text to package.

* Sun Aug 05 2012 Randall Berry, N3LRX <dp67@fedoraproject.org> - 0.0.6-11
- Cleanup build for F18/Rawhide
- Remove patch1 0 byte file

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jun 23 2011 Randall Berry, N3LRX <dp67@fedoraproject.org> - 0.0.6-8
- Rebuild for Rawhide
- Added Patch1 required for rawhide build.
- De-versioned autotools for rawhide build.
- Added Makefile.am patch per build log.

* Thu Jun 23 2011 Randall Berry, N3LRX <dp67@fedoraproject.org> - 0.0.6-7
- Rebuild for Rawhide
- Added Patch1 required for rawhide build.
- Deversioned autotools.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 21 2009 Robert Scheck <robert@fedoraproject.org> 0.0.6-4
- Rebuilt against libtool 2.2

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 16 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.0.6-2
- Submit for review

* Thu Dec 06 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 0.0.6-1
- Initial Build
